<?php

/**
 * Header Options
 *
 * @package bike_workshop
 */
// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------

// ---------------------------------------- PRELOADER -----------------------------------------------


$wp_customize->add_section(
	'bike_workshop_general_options',
	array(
		'panel' => 'bike_workshop_theme_options',
		'title' => esc_html__( 'General Options', 'bike-workshop' ),
	)
);

	// Add Separator Custom Control
	$wp_customize->add_setting( 'bike_workshop_preloader_separator', array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( new Bike_Workshop_Separator_Custom_Control( $wp_customize, 'bike_workshop_preloader_separator', array(
		'label' => __( 'Enable / Disable Site Preloader Section', 'bike-workshop' ),
		'section' => 'bike_workshop_general_options',
		'settings' => 'bike_workshop_preloader_separator',
	) ) );

// General Options - Enable Preloader.
$wp_customize->add_setting(
	'bike_workshop_enable_preloader',
	array(
		'sanitize_callback' => 'bike_workshop_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bike_workshop_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'bike-workshop' ),
			'section' => 'bike_workshop_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
    'bike_workshop_preloader_style',
    array(
        'default'           => 'style1',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'bike_workshop_preloader_style',
    array(
        'type'     => 'select',
        'label'    => esc_html__('Select Preloader Styles', 'bike-workshop'),
		'active_callback' => 'bike_workshop_is_preloader_style',
        'section'  => 'bike_workshop_general_options',
        'choices'  => array(
            'style1' => esc_html__('Style 1', 'bike-workshop'),
            'style2' => esc_html__('Style 2', 'bike-workshop'),
            'style3' => esc_html__('Style 3', 'bike-workshop'),
        ),
    )
);

// Preloader Background Color Setting
$wp_customize->add_setting(
	'bike_workshop_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'bike_workshop_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'bike-workshop'),
			'active_callback' => 'bike_workshop_is_preloader_style',
			'section' => 'bike_workshop_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'bike_workshop_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'bike_workshop_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'bike-workshop'),
			'active_callback' => 'bike_workshop_is_preloader_style',
			'section' => 'bike_workshop_general_options',
		)
	)
);

// ---------------------------------------- BREADCRUMB ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'bike_workshop_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bike_Workshop_Separator_Custom_Control( $wp_customize, 'bike_workshop_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'bike-workshop' ),
	'section' => 'bike_workshop_general_options',
	'settings' => 'bike_workshop_breadcrumb_separators',
)));


// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'bike_workshop_enable_breadcrumb',
	array(
		'sanitize_callback' => 'bike_workshop_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bike_workshop_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'bike-workshop' ),
			'section' => 'bike_workshop_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'bike_workshop_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'bike_workshop_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'bike-workshop' ),
		'active_callback' => 'bike_workshop_is_breadcrumb_enabled',
		'section'         => 'bike_workshop_general_options',
	)
);



// ---------------------------------------- PAGINATION ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'bike_workshop_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bike_Workshop_Separator_Custom_Control( $wp_customize, 'bike_workshop_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'bike-workshop' ),
	'section' => 'bike_workshop_general_options',
	'settings' => 'bike_workshop_pagination_separator',
) ) );


// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'bike_workshop_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'bike_workshop_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bike_workshop_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'bike-workshop' ),
			'section'  => 'bike_workshop_general_options',
			'settings' => 'bike_workshop_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'bike_workshop_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'bike_workshop_sanitize_select',
	)
);

$wp_customize->add_control(
	'bike_workshop_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'bike-workshop' ),
		'section'         => 'bike_workshop_general_options',
		'settings'        => 'bike_workshop_pagination_type',
		'active_callback' => 'bike_workshop_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'bike-workshop' ),
			'numeric' => __( 'Numeric', 'bike-workshop' ),
		),
	)
);



// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'bike_workshop_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bike_Workshop_Separator_Custom_Control( $wp_customize, 'bike_workshop_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'bike-workshop' ),
	'section' => 'bike_workshop_general_options',
	'settings' => 'bike_workshop_layuout_separator',
)));


$wp_customize->add_setting(
	'bike_workshop_website_layout',
	array(
		'sanitize_callback' => 'bike_workshop_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bike_workshop_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'bike-workshop'),
			'section' => 'bike_workshop_general_options',
		)
	)
);


$wp_customize->add_setting('bike_workshop_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'bike_workshop_sanitize_range_value',
));

$wp_customize->add_control(new Bike_Workshop_Customize_Range_Control($wp_customize, 'bike_workshop_layout_width_margin', array(
		'label'       => __('Set Width', 'bike-workshop'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'bike-workshop'),
		'section'     => 'bike_workshop_general_options',
		'settings'    => 'bike_workshop_layout_width_margin',
		'active_callback' => 'bike_workshop_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));

// ----------------------------------------SITE IDENTITY----------------------------------------------------

$wp_customize->add_setting( 'bike_workshop_site_title_size', array(
    'default'           => 40, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'bike_workshop_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'bike-workshop' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );

// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'bike_workshop_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'bike_workshop_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bike_workshop_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'bike-workshop' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'bike_workshop_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'bike_workshop_enable_site_title_setting',
	array(
		'default'           => true,
		'sanitize_callback' => 'bike_workshop_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bike_workshop_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'bike-workshop' ),
			'section'  => 'title_tagline',
			'settings' => 'bike_workshop_enable_site_title_setting',
		)
	)
);


// Tagline - Enable Setting.
$wp_customize->add_setting(
	'bike_workshop_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'bike_workshop_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bike_workshop_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'bike-workshop' ),
			'section'  => 'title_tagline',
			'settings' => 'bike_workshop_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting('bike_workshop_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'bike_workshop_sanitize_range_value',
));

$wp_customize->add_control(new Bike_Workshop_Customize_Range_Control($wp_customize, 'bike_workshop_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'bike-workshop'),
    'description' => __('This setting controls the Width of Site Logo', 'bike-workshop'),
    'section'     => 'title_tagline',
    'settings'    => 'bike_workshop_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));

// ---------------------------------------- ANIMATION ----------------------------------------------------

$wp_customize->add_setting( 'bike_workshop_animation_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );
$wp_customize->add_control( new Bike_Workshop_Separator_Custom_Control( $wp_customize, 'bike_workshop_animation_separator', array(
	'label' => __( 'Enable / Disable Animation', 'bike-workshop' ),
	'section' => 'bike_workshop_general_options',
	'settings' => 'bike_workshop_animation_separator',
) ) );
// Animation Enable / Disable
$wp_customize->add_setting(
	'bike_workshop_enable_animation',array(
		'default'           => true,
		'sanitize_callback' => 'bike_workshop_sanitize_switch',
	)
);
$wp_customize->add_control(
	new Bike_Workshop_Toggle_Switch_Custom_Control($wp_customize,'bike_workshop_enable_animation',array(
			'label'   => esc_html__( 'Enable Animation', 'bike-workshop' ),
			'section' => 'bike_workshop_general_options',
		)
	)
);